package cpcns.dingZhi.jiJian.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.dingZhi.jiJian.model.jiJian;
import cpcns.dingZhi.jiJian.service.IJiJianService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping({"jiJianController"})
public class JiJianController extends DangAnBaseController {
  @Autowired
  private IJiJianService jiJianService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @Autowired
  private ICommonService<?> commonService;
  
  @RequestMapping({"/toList.do"})
  public String toList(HttpServletRequest request, Model model) {
    String zhuangTai = getRequest().getParameter("zhuangTai");
    getRequest().setAttribute("zhuangTai", zhuangTai);
    return "dingZhi/jijian/jijian_list";
  }
  
  @RequestMapping({"/toAdd.do"})
  public String toAdd(HttpServletRequest request, Model model) {
    jiJian obj = new jiJian();
    User user = getCurrentUser();
    obj.setQuanZongHao(user.getQuanZongHao());
    model.addAttribute("jiJian", obj);
    String menLei = request.getParameter("menLei");
    obj.setMenLei(menLei);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(menLei);
    if (dam != null) {
      model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      model.addAttribute("fenGeFu", dam.getFenGeFu());
      model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    obj.setYeShu("1");
    obj.setZhuangTai(Integer.valueOf(2));
    getRequest().setAttribute("taa", Integer.valueOf(0));
    model.addAttribute("jiJian", obj);
    return "dingZhi/jijian/jijian_edit";
  }
  
  @RequestMapping({"/query.do"})
  public String query(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      pageBase(model);
      PagerVO pagevo = this.jiJianService.query_SQL(this.start, this.number, this.table, map, CommStatic.getOrderBy(request, "dangHao"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "")
        .replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi")
        .replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("MIJI", "miJi")
        .replaceAll("XIANGMUMINGCHENG", "xiangMuMingCheng").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("DANGHAO", "dangHao").replaceAll("XUHAO", "xuHao").replaceAll("WENJIANBIANHAO", "wenJianBianHao")
        .replaceAll("BIAOTI", "biaoTi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian")
        .replaceAll("ZAITILEIXING", "zaiTiLeiXing");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/saveOrUpdate.do"})
  public void save(HttpServletRequest request, HttpServletResponse response, jiJian obj) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      if (obj != null) {
        Map<String, String> map1 = new HashMap<>();
        map1.put("table", this.table);
        map1.put("server", this.server);
        map1.put("guiDangNianDu", obj.getGuiDangNianDu());
        map1.put("quanZongHaoString", obj.getQuanZongHao());
        map1.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map1.put("biaoTiString", obj.getBiaoTi());
        map1.put("zhuangTai_notin", "3,4");
        map1.put("dangHao", obj.getDangHao());
        if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0)
          map1.put("hangBiaoShi_not", String.valueOf(obj.getHangBiaoShi())); 
        String rizhi = "";
        if (!this.jiJianService.IsExist(map1)) {
          if (obj.getHangBiaoShi() != null && obj.getHangBiaoShi().intValue() > 0) {
            rizhi = "修改";
            this.jiJianService.update(obj);
          } else {
            rizhi = "新增";
            obj.setHangBiaoShi(Integer.valueOf(this.jiJianService.getPk(this.table)));
            obj.setZhuangTai(Integer.valueOf(2));
            if (obj.getGuanLianBiaoShi() == null) {
              obj.setGuanLianBiaoShi(Integer.valueOf(0));
            } else {
              obj.setGuanLianBiaoShi(obj.getGuanLianBiaoShi());
            } 
            this.jiJianService.save(obj);
          } 
          rm.setSuccess(true);
          info = "保存成功！";
          rm.addResultMessage("hangBiaoShi", obj.getHangBiaoShi());
          this.jiJianService.addDA_RiZhi(getCurrentUser(), this.server, this.table, obj.getHangBiaoShi(), String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), rizhi);
        } else {
          rm.setSuccess(false);
          info = "题名已存在";
        } 
      } else {
        rm.setSuccess(false);
        info = "数据转换错误！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "操作失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response, Model model) {
    try {
      String quanXian = request.getParameter("quanXian");
      String check = request.getParameter("check");
      String taa = getRequest().getParameter("taa");
      if ("1".equals(check))
        quanXian = "false"; 
      model.addAttribute("quanXian", quanXian);
      String cxzt = request.getParameter("cxzt");
      model.addAttribute("cxzt", cxzt);
      Integer hangBiaoShi = Integer.valueOf(Integer.parseInt(request.getParameter("hangBiaoShi")));
      String ids = request.getParameter("keyWordResult");
      model.addAttribute("keyWordResult", ids);
      jiJian obj = (jiJian)this.jiJianService.getById(jiJian.class, hangBiaoShi);
      if (StringUtils.isNotBlank(obj.getMenLei()));
      GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao(obj.getMenLei());
      if (dam != null) {
        model.addAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
        model.addAttribute("fenGeFu", dam.getFenGeFu());
        model.addAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
        model.addAttribute("qiDongDangHao", dam.getQiDongDangHao());
      } 
      model.addAttribute("jiJian", obj);
      getRequest().setAttribute("taa", taa);
      this.jiJianService.addDA_RiZhi(getCurrentUser(), this.server, this.table, hangBiaoShi, String.valueOf(obj.getBiaoTi()) + "$." + obj.getDangHao() + "$." + obj.getMenLei(), "查看");
      Integer fenshu = this.tongYongService.queryIsNotFile(hangBiaoShi, this.table);
      if (fenshu.intValue() > 0) {
        String AJname = this.tongYongService.queryAjName(hangBiaoShi, this.table);
        model.addAttribute("AJname", AJname);
      } 
      model.addAttribute("fenshu", fenshu);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "dingZhi/jijian/jijian_edit";
  }
  
  @RequestMapping({"/delete.do"})
  public void delete(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String info = "";
    try {
      String hangBiaoShi = request.getParameter("hangBiaoShi");
      String biaoTi = request.getParameter("biaoTi");
      String dangHao = request.getParameter("dangHao");
      if (StringUtils.isNotBlank(hangBiaoShi)) {
        User user = getCurrentUser();
        rm.setSuccess(true);
        jiJian jj = (jiJian)this.jiJianService.getById(jiJian.class, Integer.valueOf(Integer.parseInt(hangBiaoShi)));
        info = "删除成功！";
        this.commonService.deleteByUser(getCurrentUser(), this.server, getTable(), hangBiaoShi);
        this.jiJianService.addDA_RiZhi(user, this.server, this.table, Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(biaoTi) + "$." + dangHao + "$." + jj.getMenLei(), "删除");
      } else {
        rm.setSuccess(false);
        info = "获取参数失败，无法删除，请联系管理员！";
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/JuanNeiAdd.do"})
  public void JuanNeiAdd(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String menLei = request.getParameter("menLei");
    String miJi = request.getParameter("miJi");
    String table = request.getParameter("table");
    responseWriter(response, rm.toString());
  }
}
